> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fine-tuning events

> Get status updates for a fine-tuning job.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/fine_tuning/jobs/{job_id}/events
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/fine_tuning/jobs/{job_id}/events:
    get:
      tags:
        - fine-tuning
      summary: List fine-tuning events
      description: Get status updates for a fine-tuning job.
      operationId: list_fine_tuning_events_v1_fine_tuning_jobs__job_id__events_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEventsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListEventsResponse:
      properties:
        object:
          type: string
          title: Object
          description: The object type, which is always 'list'
          default: list
        data:
          items:
            $ref: '#/components/schemas/FineTuningJobEvent'
          type: array
          title: Data
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      required:
        - data
      title: ListEventsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FineTuningJobEvent:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
        level:
          type: string
          enum:
            - info
            - warn
            - error
          title: Level
        message:
          type: string
          title: Message
        object:
          type: string
          enum:
            - fine_tuning.job.event
          const: fine_tuning.job.event
          title: Object
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        type:
          anyOf:
            - type: string
              enum:
                - message
                - metrics
            - type: 'null'
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - level
        - message
        - object
      title: FineTuningJobEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````